/*
 * Copyright (C) 2013 by the University of Southern California
 * $Id$
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 */
#ifndef GLOBAL_VAR_H
#define GLOBAL_VAR_H

//#define DEBUG

#include <string.h>	//strcmp
#include <stdlib.h>	//exit, atoi
#include <assert.h>
#include <arpa/inet.h>	//ip related
#include <sys/stat.h> 	//S_ISDIR

#include <iostream>	//cout, cerr
#include <sstream>
#include <fstream>
#include <vector>

#include <err.h>

#ifndef NULL
#define NULL 0L
#endif /* ~NULL */

//response parsing flag
//extern bool is_anon;
//extern bool set_anon;
enum report_options { NO_REPORT, NON_UNIFIED_REPORT, UNIFIED_REPORT };
extern bool report_messages;
extern enum report_options report_qry;
extern enum report_options report_rsp;
extern bool report_extra;
extern int anon_level;
extern bool verbose_log;
extern std::string command_line;

//replace spaces with "%20" in the string of rdata output
const std::string RDATA_SPT="%20";

#define	ANON_NONE	-1
#define	ANON_FULL	1
#define ANON_SRC_IP_ONLY	2

#endif // GLOBAL_VAR_H
